Bug 49199 - Gnome control center icon missing
Summary: Gnome control center icon missing
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-16 19:53 UTC by Joshua Jensen
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-19 15:20:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Jensen 2001-07-16 19:53:29 UTC
One of the most vital icons on the panel, the "tookbox" icon for the GNOME
control center, is missing in beta2.  Is this intentional?

Joshua Jensen

Comment 1 Glen Foster 2001-07-17 19:00:44 UTC
This defect considered SHOULD-FIX for Fairfax gold-release.

Comment 2 David Mason 2001-07-17 20:06:58 UTC
the control center is being moved into nautilus 

hp -icon?

Comment 3 Havoc Pennington 2001-07-17 20:18:28 UTC
It's not intentional, though that icon is no longer on the panel by default.


Comment 4 Havoc Pennington 2001-07-17 20:20:11 UTC
Does /usr/share/pixmaps/control-center.png exist on your machine?


Comment 5 Joshua Jensen 2001-07-18 18:08:18 UTC
Yes, /usr/share/pixmaps/control-center.png does exist, and is owned by
control-center.  rpm -V control-center verifies perfectly.

Joshua Jensen

Comment 6 Havoc Pennington 2001-07-18 18:19:21 UTC
OK, so the correct situation is:

 - for new accounts (never logged in), there is no control center icon on the 
   panel
 - if you already logged in before and had a control center icon on the panel,
   it should still be there

Is this what you're seeing on your machine?


Comment 7 Joshua Jensen 2001-07-18 20:27:25 UTC
Why would not account that haven't logged in before not have the control center
icon on the panel?  This can't be correct behavior.  How does one, especially a
clueless user, access the control center?

I did a fresh install of beta2, and on my first AND subsequent gdm logins, I've
never seen a control center icon on the panel.

Joshua Jensen

Comment 8 Havoc Pennington 2001-07-18 21:16:20 UTC
The point about first/subsequent logins is that new accounts get the new defaults, 
which don't have the control center icon. But if you have an old account your
panel config won't be modified. 

To open control panels now you click the mushroom (yes, we are getting a new
icon AFAIK) and then open the Preferences folder. Or just type preferences: into
the 
Nautilus location bar. This doesn't work properly in beta2 but works if you
upgrade to Rawhide gnome-vfs.

Comment 9 Joshua Jensen 2001-07-19 15:20:50 UTC
Ok... I upgraded to gnome-vfs in Rawhide, and the mushroom seems alot better now ;-)

However, my original point remains.  An icon of a toolbox strongly hints of
configuration, an icon of a mushroom leaves users wondering "how/where do I
configure my desktop".  Any chance of getting the toolbox icon, or something
else that screams "configurtation here", back?

Joshua

Comment 10 Havoc Pennington 2001-07-19 16:11:49 UTC
I think we'd like to experiment without it for now - the basic concept here is
that we've taken all the direct links off the desktop (no RH links, no control
center, etc.) and put them into the Start Here folder, to get less clutter.
So all the important links are now in Start Here. 

It's hard to say conclusively without user testing, which will happen eventually
I hope, but for now we have to make some decision.


Note You need to log in before you can comment on or make changes to this bug.